org.apache.tinkerpop.gremlin.process.traversal.util

## Class AndP<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.P<V>
  - - org.apache.tinkerpop.gremlin.process.traversal.util.ConnectiveP<V>
    - - org.apache.tinkerpop.gremlin.process.traversal.util.AndP<V>

- All Implemented Interfaces:
    Serializable, Cloneable, Predicate<V>

      public final class AndP<V>
      extends ConnectiveP<V>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.util.ConnectiveP

      `predicates`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `biPredicate, originalValue, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndP(List<P<V>> predicates)`
    `AndP(P<V>... predicates)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `P<V>` | `and(Predicate<? super V> predicate)`
    `AndP<V>` | `clone()`
    `P<V>` | `negate()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.util.ConnectiveP

      `equals, getPredicates, hashCode, negate, or`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `between, eq, getBiPredicate, getOriginalValue, getValue, gt, gte, inside, lt, lte, neq, not, outside, setValue, test, test, within, within, without, without`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `isEqual`

- - ### Constructor Detail

    - #### AndP

          public AndP(List<P<V>> predicates)

    - #### AndP

          @Deprecated
          public AndP(P<V>... predicates)

      Deprecated.

  - ### Method Detail

    - #### and

          public P<V> and(Predicate<? super V> predicate)

      Specified by:
        `and` in interface `Predicate<V>`
      Overrides:
        `and` in class `ConnectiveP<V>`

    - #### negate

          public P<V> negate()

      Specified by:
        `negate` in interface `Predicate<V>`
      Overrides:
        `negate` in class `ConnectiveP<V>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `P<V>`

    - #### clone

          public AndP<V> clone()

      Overrides:
        `clone` in class `ConnectiveP<V>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.